[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: UPDATE: make irssi use glib2



* Pierre-Yves Ritschard [2006-01-27]:
> Hi, here's a (really) simple patch for building irssi with glib2.

What did the maintainer have to say about it?

Nikolay

Oops, forgot to ask him about his opinion.
Seems like there's activity on the 0.8.10 front though, so I wonder if it's worth the change.


I cc'ed reinhard@ so he can look at the patch and give his opinion.

--- Makefile    Fri Jan 27 11:07:06 2006
+++ Makefile.orig       Fri Jan 27 11:06:41 2006
@@ -28,13 +28,13 @@
PERMIT_DISTFILES_FTP=  Yes
WANTLIB=               c crypto m ncurses perl ssl util

-LIB_DEPENDS+=          glib-2.0.0.0,gmodule-2.0.0.0::devel/glib2
+LIB_DEPENDS+=          glib.1.2,gmodule::devel/glib

CONFIGURE_STYLE=       gnu

CONFIGURE_ARGS+=       --datadir=${PREFIX}/share/doc --enable-ipv6 \
       --with-proxy --enable-perl=yes --with-included-gettext \
-       --with-perl-lib=${PREFIX}/libdata/perl5/site_perl
+       --with-perl-lib=${PREFIX}/libdata/perl5/site_perl --with-glib1

FLAVORS=       socks
FLAVOR?=




Visit your host, monkey.org